Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.db
Class DBInbox

    java.lang.Object
      |
      +--com.jxml.qare.qhome.db.DBBase
            |
            +--com.jxml.qare.qhome.db.DBInbox

All Implemented Interfaces:
  DeleteListener, EventListener

public final class DBInbox
extends DBBase
implements DeleteListener

Inner Class Summary
`class` | `DBInbox.Row`

Fields inherited from class com.jxml.qare.qhome.db.DBBase
`createListeners, dbBases, deleteListeners, fileDateFormat, restored`

Method Summary
`void` | `backup(DataOutputStream dos)`
`DBInbox.Row` | `create(DBUser.Row user, String description, Date openingDate, DBApplication.Row application, String action, DBSystem.Row fromSystem, String message, String properties)`
`DBInbox.Row` | `create(DBUser.Row user, String description, Date openingDate, DBApplication.Row application, String action, DBSystem.Row fromSystem, String message, String properties, String gkey)`
`DBRow` | `createObj(ResultSet rs)`
`void` | `createTable()`
`void` | `deleteEvent(DeleteEvent deleteEvent)`
`List` | `get(DBUser.Row user)`
`DBInbox.Row` | `get(DBUser.Row user, int inboxId)`
`DBInbox.Row` | `get(DBUser.Row user, String gkey)`
`DBInbox.Row` | `get(int id)`
`List` | `getInboxRowList(DBUser.Row user, DBQOrderMungeColumn domc, DBQList qList)`
`int` | `getMaxPendingId()`
`boolean` | `haveGkey(String gkey)`
`void` | `restore(String fileNamePrefix, DataInputStream dis)`
`String` | `tableName()`

Methods inherited from class com.jxml.qare.qhome.db.DBBase
`addCreateListener, addDeleteListener, addKey, backup, backupString, clearRef, create, createCurrentDate, createTable, deleteWeak, executeUpdate, getRow, getRows, getRows, getWeak, removeCreateListener, removeDeleteListener, restore, restoreString, sendCreateEvent, sendDeleteEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### tableName

    public String tableName()

  Overrides:
    `tableName` in class `DBBase`

### createTable

    public void createTable()
                     throws Exception

  Overrides:
    `createTable` in class `DBBase`

### deleteEvent

    public void deleteEvent(DeleteEvent deleteEvent)
                     throws Exception

  Specified by:
    `deleteEvent` in interface `DeleteListener`

### get

    public DBInbox.Row get(int id)
                    throws Exception

### get

    public DBInbox.Row get(DBUser.Row user,
                           int inboxId)
                    throws Exception

### get

    public DBInbox.Row get(DBUser.Row user,
                           String gkey)
                    throws Exception

### get

    public List get(DBUser.Row user)
             throws Exception

### getInboxRowList

    public List getInboxRowList(DBUser.Row user,
                                DBQOrderMungeColumn domc,
                                DBQList qList)
                         throws Exception

### haveGkey

    public boolean haveGkey(String gkey)
                     throws Exception

### createObj

    public DBRow createObj(ResultSet rs)
                    throws Exception

  Overrides:
    `createObj` in class `DBBase`

### getMaxPendingId

    public int getMaxPendingId()
                        throws Exception

### create

    public DBInbox.Row create(DBUser.Row user,
                              String description,
                              Date openingDate,
                              DBApplication.Row application,
                              String action,
                              DBSystem.Row fromSystem,
                              String message,
                              String properties)
                       throws Exception

### create

    public DBInbox.Row create(DBUser.Row user,
                              String description,
                              Date openingDate,
                              DBApplication.Row application,
                              String action,
                              DBSystem.Row fromSystem,
                              String message,
                              String properties,
                              String gkey)
                       throws Exception

### backup

    public void backup(DataOutputStream dos)
                throws Exception

  Overrides:
    `backup` in class `DBBase`

### restore

    public void restore(String fileNamePrefix,
                        DataInputStream dis)
                 throws Exception

  Overrides:
    `restore` in class `DBBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD